<?php
$g=split("\|",$game["loc"][$player["loc"]][$login]["gild"]);
$gildname = $g[1];
$gilds = implode("",file("gilds.dat"));
$gilds = unserialize($gilds);

if ($gild=="alist"){
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a><br/>";
$ind=0; $count=0; if(!$start) $start=0;
$grad.="<span style=\"color:red\">Список игроков в гильдии <strong>[$gildname]</strong>
<br/>(игроков ".$gilds[$gildname]["count"].")</span>";
foreach (array_keys($gilds[$gildname]["player"]) as $i)  {
if ($ind>=$start && $ind<$start+10) {
$t++;
$ii = split("\|",$gilds[$gildname]["player"][$i]); 
if ($ii[0]=="^") $ii[0]="(Глава Гильдии)";
if ($ii[0]=="*") $ii[0]="(Зам. Гильдии)";
if ($ii[0]=="_") $ii[0]="(Новобранец)";
if ($ii[0]==">") $ii[0]="(Сержант)";
if ($ii[0]=="!") $ii[0]="(Старшина)";
if ($ii[0]=="@") $ii[0]="(Прапорщик)";
if ($ii[0]=="+") $ii[0]="(Лейтинант)";
if ($ii[0]=="~") $ii[0]="(Мойер)";
if ($ii[0]=="-") $ii[0]="(Полковник)";
$grad.= "<br/>".$ii[1]." ".$ii[0]."";
}
$ind++;
}
if ($start) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&gild=alist\">Назад </a>";}
if ($start+10<=count($gildname["players"])) {if (!$start) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&gild=alist&start=".($start+10)."\">Дальше</a>";}
msg($grad,"Список",0,'none');
}
if ($g[0] == "^" || $g[0]=="*"){
if ($gild=='1') {
msg("<span style=\"color:red\"><strong>Меню Гильдии</strong></span><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=list\">Игроки в гильдии</a><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=add\">Добавить в гильд игрока</a><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=dolj\">Поменять игроку статус</a><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=msg_onl\">Сообщения игрокам (онлайн)</a><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=glov\">Передать гловенство</a><br/>
<a href=\"$PHP_SELF?sid=$sid&gild=look\">Описания Гильдии</a><br/>");
}
if ($gild=='msg_onl') {
if (!$do){
$grad.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
$grad.="<form action=\"$PHP_SELF?sid=$sid&gild=msg_onl&do=all\" method=\"post\">
<span style=\"color:red\">Текст:</span>
<br/><input name=\"sms\">
<br/><input type=\"submit\" value=\"Отправить\">
<br/><br/><a href=\"$PHP_SELF?sid=$sid&gild=1\">&lt;&lt;&lt;Назад</a>";
}else{
if (!$sms) msg("Введите текст для отправки");
$sms=htmlspecialchars($sms);
$sms=substr($sms,0,200);
$sms=str_replace("<","",$sms);
$sms=str_replace(">","",$sms);
$sms=str_replace("$","",$sms);
$sms=str_replace("#","",$sms);
foreach (array_keys($gilds[$gildname]["player"]) as $i)  {
addjournal($i,"<span style=\"color:green\">Клану (".$player["title"]."): ".$sms."</span>");
}
$grad.="Сообщения отправлено всем игрокам Гильдии, кто находился онлайн.";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
$grad.="<meta http-equiv=\"refresh\" content=\"2;url=http://lifedragon.ru/index.php?sid=$sid\"/>";
$like=date("d.m.y H:i:s");
$fp=@fopen("data/say_gild.dat","a+");
fwrite($fp,"$player[title]: $sms/$like\n");
fclose($fp);
}
msg($grad,"Сообщения игрокам Гильдии",0,'none');
}

if ($gild=='look'){
if (!$say){
$grad.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a><br/>";
$grad.="\n<span style=\"color:red\">Текущее описания</span>
<br/>".$gilds[$gildname]['look']."
<br/><span style=\"color:red\">Новое описания</span>
<form action=\"$PHP_SELF?sid=$sid&gild=look&\" method=\"post\">
<input name=\"say\" maxlength=\"40\"/>
<br/><input type=\"submit\" value=\"Изменить\">";
$grad.="<br/><br/><a href=\"$PHP_SELF?sid=$sid&gild=1\">&lt;&lt;&lt;Назад</a>";
}else{
$say=substr($say,0,40);
$say=str_replace("<","",$say);
$say=str_replace(">","",$say);
$say=str_replace("$","",$say);
$say=str_replace("#","",$say);
$say=htmlspecialchars($say);
$gilds[$gildname]['look'] = $say;
$file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
unset($gilds);
msg("<meta http-equiv=\"refresh\" content=\"0;url=http://lifedragon.ru/index.php?sid=$sid&gild=1\"/>
Данные изменены!<br/><a href=\"$PHP_SELF?sid=$sid&gild=1\">&lt;&lt;&lt;Назад</a>");
}
msg($grad,"Описания Гильдии",0,'none');
}
if ($gild=='glov') {
if ($g[0]!="^"){ msg("Вы не глава Гильдии.<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");}
if (!isset($game["loc"][$player["loc"]]["item.stand.gild"])) msg("ВНИМАНИЕ!<br/>Вы должны находится возле камня Гильдии!
<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
$grad.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
if (!$gl){
$grad.="<br/><span style=\"color:red\"><strong>Передать Главенство</strong></span>";
$grad.="<br/>Выберите каму:";
foreach (array_keys($game["loc"][$player["loc"]]) as $i) if (substr($i,0,5)=='user.') if ($i!=$login) {
$title=$game["loc"][$player["loc"]][$i]["title"];
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&gild=glov&gl=$i\">$title</a>";
}
}else{
if (!isset($game["loc"][$player["loc"]][$gl])) msg("Персонаж не найден.
<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
$gi=split("\|",$game["loc"][$player["loc"]][$gl]["gild"]);
if ($g[1]!=$gi[1]) msg("Персонаж не в вашей Гильдии. <br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
$skil=split("\|",$game["loc"][$player["loc"]][$gl]["skills"]);
if ($skil[28]<50) msg("У персонажа должно быть минимум 50 уровень Доступа.<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
$game['loc'][$player['loc']][$gl]['gild']="^|$gildname";
$title=$game["loc"][$player["loc"]][$gl]["title"];
$gilds[$gildname]["player"][$gl] = "^|$title";
$player["gild"]="_|$gildname";
$gilds[$gildname]["player"][$login] = "_|".$player["title"]."";
$grad.="<br/>Вы передали Главенство ".$game["loc"][$player["loc"]][$gl]["title"]."!";
$grad.="<br/>Ваш статус - Новобранец.";
addjournal($gl,"Теперь Вы глава Гильдии ".$g[1]."");
$file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
}
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
msg($grad,"Передать Гловенство",0,'none');
}
if ($gild=='list') {//список + удалить
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a><br/>";
$ind=0; $count=0; if(!$start) $start=0;
$grad.="<span style=\"color:red\">Список игроков в гильдии <strong>[$gildname]</strong>
<br/>(игроков ".$gilds[$gildname]["count"].")</span>";
foreach (array_keys($gilds[$gildname]["player"]) as $i)  {
if ($ind>=$start && $ind<$start+10) {
$t++;
$ii = split("\|",$gilds[$gildname]["player"][$i]); 
if ($ii[0]=="^") $ii[0]="(Глава Гильдии)";
if ($ii[0]=="*") $ii[0]="(Зам. Гильдии)";
if ($ii[0]=="_") $ii[0]="(Новобранец)";
if ($ii[0]==">") $ii[0]="(Сержант)";
if ($ii[0]=="!") $ii[0]="(Старшина)";
if ($ii[0]=="@") $ii[0]="(Прапорщик)";
if ($ii[0]=="+") $ii[0]="(Лейтинант)";
if ($ii[0]=="~") $ii[0]="(Мойер)";
if ($ii[0]=="-") $ii[0]="(Полковник)";
$grad.= "<br/><a href=\"$PHP_SELF?sid=$sid&gild=u_info&plog=$i\">".$ii[1]."</a> ".$ii[0]."";
}
$ind++;
}
if ($start) {$grad.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&gild=list\">Назад </a>";}
if ($start+10<=count($gildname["players"])) {if (!$start) $grad.="\n<br/>"; $grad.= "<a href=\"$PHP_SELF?sid=$sid&gild=list&start=".($start+10)."\">Дальше</a>";}
msg($grad,"Список",0,'none');
}
if ($gild=='u_info'){
if ($plog==$login) msg("Ето Вы =)");
if (!isset($gilds[$gildname]["player"][$plog])) msg("Персонаж не обноружен");
if (isset($game["loc"][$game["players"][$plog]][$plog])) {
$ptitle=$game["loc"][$game["players"][$plog]][$plog]["title"];
$sk=split("\|",$game['loc'][$game['players'][$plog]][$plog]["skills"]);
$pdostup=$sk[28];
}else{
$user = implode("",file("users/$plog.dat"));
$user = unserialize($user);
$ptitle=$user["title"];
$sk=split("\|",$user["skills"]);
$pdostup=$sk[28];
}

$grad.="<span style=\"color:red\">Персонаж <strong>[".$ptitle."]</strong></span>";
$grad.="<br/><a href=\"$PFP_SELF?sid=$sid&gild=delete&plog=$plog\">Удалить из Гильдии</a>";
$grad.="<br/>==========";
$grad.="<br/><strong>Статус</strong>: ";
if (isset($game["loc"][$game["players"][$plog]][$plog])) $grad.="Онлайн";
else $grad.="Вне игре";
$grad.="<br/><strong>Уровень</strong>: $pdostup";
$grad.="<br/><a href=\"$PHP_SELF?sid=$sid&gild=1\">Назад</a>";
msg($grad);
}
if ($gild=='delete'){
if (!isset($gilds[$gildname]["player"][$plog])) msg("Персонаж не обноружен");
// есле в игре
if (isset($game["loc"][$game["players"][$plog]][$plog])) {
$ptitle=$game["loc"][$game["players"][$plog]][$plog]["title"];
addjournal($plog, "Вас исключили из Гильдии");
unset($game["loc"][$game["players"][$plog]][$plog]['gild']);
unset($gilds[$gildname]["player"][$plog]);
$gilds[$gildname]["count"] -= 1;
  $file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
unset($gilds);
}else{
$user = implode("",file("users/$plog.dat"));
$user = unserialize($user);
$ptitle=$user["title"];
unset($user['gild']);
unset($gilds[$gildname]["player"][$plog]);
$gilds[$gildname]["count"] -= 1;
  $file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
  $file2 = fopen ("users/$plog.dat", "w+");
fputs($file2,serialize($user));
fclose ($file2);
unset($gilds);
}
$grad.="Вы исключили из Гильдии - $ptitle<br/>
<a href=\"$PHP_SELF?sid=$sid&gild=1\">Назад</a>";
msg($grad);
}
if ($gild=='add'){ // Добавить
if (!isset($game["loc"][$player["loc"]]["item.stand.gild"])) msg("ВНИМАНИЕ!<br/>Вы должны находится возле камня Гильдии!
<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
if (!$to){
$stmp.="(Должен находится рядом)";
foreach (array_keys($game["loc"][$player["loc"]]) as $i){
if (substr($i,0,5)=='user.'){
if ($login == $i) continue;
$k = $game["loc"][$player["loc"]][$i]['title'];
$stmp.= "<br/><a href=\"$PHP_SELF?sid=$sid&gild=add&to=$i\">$k</a>";
}
}
msg($stmp);
}
if ($to){
if ($player['loc'] == $game['loc'][$game['players'][$login]][$to]['loc']){
if (!isset($game['loc'][$game['players'][$login]][$to]['gild'])){ 
$game['loc'][$game['players'][$login]][$to]['gild']="_|$gildname";
$title = $game['loc'][$game['players'][$login]][$to]['title'];
$gilds[$gildname]["player"][$to] = "_|$title";
$gilds[$gildname]["count"] += 1;
addjournal($to, "Вас приняли в клан - $gildname");
  $file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
unset($gilds);
msg("Готово.");
} msg("Этот игрок уже в гильдии.");
} msg("Такого игрока нет рядом с вами.");
}
}
if ($gild=='dolj'){
$d=split("\|",$game['loc'][$game['players'][$login]][$to]['gild']);
if (!$to){
foreach (array_keys($game["loc"][$player["loc"]]) as $i){
if (substr($i,0,5)=='user.'){
if ($login == $i) continue;
$k = $game["loc"][$player["loc"]][$i]['title'];
$stmp.= "<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$i\">$k</a>";
}
}
msg($stmp);
}
if ($to){
if (!$dolj){
if ($d[0]=="^") msg("Вы не можете изменять статус главе Гильдии");
if ($d[0]=="^") $ii="Глава Гильдии";
if ($d[0]=="*") $ii="Зам. Гильдии";
if ($d[0]=="_") $ii="Новобранец";
if ($d[0]==">") $ii="Сержант";
if ($d[0]=="!") $ii="Старшина";
if ($d[0]=="@") $ii="Прапорщик";
if ($d[0]=="+") $ii="Лейтинант";
if ($d[0]=="~") $ii="Мойер";
if ($d[0]=="-") $ii="Полковник";
$stmp.="<span style=\"color:green\"><strong>Текущие звание</strong></span>:
<br/>".$ii."\n<br/>
<span style=\"color:green\"><strong>Выбирете новое звание</strong></span>:
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=serj\">Сержант</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=star\">Старшина</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=prap\">Прапорщик</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=leyt\">Лейтинант</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=kapi\">Капитан</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=mayo\">Майор</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=polk\">Полковник</a>
<br/><a href=\"$PHP_SELF?sid=$sid&gild=dolj&to=$to&dolj=zamg\">Зам главы</a>";
msg($stmp);
}
if ($dolj){
$arr_dolj = array();
$arr_dolj=array(
"serj"=>">",
"star"=>"!",
"prap"=>"@",
"leyt"=>"+",
"kapi"=>"=",
"mayo"=>"~",
"polk"=>"-",
"zamg"=>"*",


);

if ($player['loc'] == $game['loc'][$game['players'][$login]][$to]['loc']){
if ($d[1] == $gildname ){
if ($arr_dolj[$dolj]=="*") $m="Зам. Гильдии";
if ($arr_dolj[$dolj]==">") $m="Сержант";
if ($arr_dolj[$dolj]=="!") $m="Старшина";
if ($arr_dolj[$dolj]=="@") $m="Прапорщик";
if ($arr_dolj[$dolj]=="+") $m="Лейтинант";
if ($arr_dolj[$dolj]=="~") $m="Мойер";
if ($arr_dolj[$dolj]=="-") $m="Полковник";
if (isset($arr_dolj[$dolj])){ 
$game['loc'][$game['players'][$login]][$to]['gild']="$arr_dolj[$dolj]|$gildname";
$title = $game['loc'][$game['players'][$login]][$to]['title'];
$gilds[$gildname]["player"][$to] = "$arr_dolj[$dolj]|$title";
addjournal($to, "Ваш статус изменен! Теперь Вы в Гильдии - $m"); 
$file1 = fopen ("gilds.dat", "w+");
fputs($file1,serialize($gilds));
fclose ($file1);
unset($gilds);
msg("Готово.");
} msg("Нет такого звания.");
} msg("Этот игрок не в вашей гильдии.");
} msg("Такого игрока нет рядом с вами.");
}
}
}
} msg("Куда лезеш.");


?>


